package eu.mhsl.craftattack.spawn.appliances.whitelist;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.util.text.DisconnectInfo;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent;

public class PlayerJoinListener extends ApplianceListener<Whitelist> {
    @EventHandler
    public void preLoginEvent(AsyncPlayerPreLoginEvent preLoginEvent) {
        try {
            getAppliance().login(preLoginEvent);
        } catch (DisconnectInfo.Throwable e) {
            preLoginEvent.disallow(
                    AsyncPlayerPreLoginEvent.Result.KICK_WHITELIST,
                    e.getDisconnectScreen().getComponent()
            );
        }
    }
}
